<?php

namespace Fifa\ConnectId\Sdk\Util\Serialization;

interface XmlSerializerInterface
{
    /**
     * @param object $item
     * @return string|null
     */
    public function serialize($item): ?string;

    /**
     * @param string $xml
     * @return object|null
     */
    public function deserialize(string $xml);
}